--- title: "ListCertificateTypes" slug: "security-certificatemanager-listcertificatetypes" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/security-certificatemanager-listcertificatetypes" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # ListCertificateTypes Available in Classic and VPC Get certificate types available for request. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/certificate/certificateTypes | ### Request headers For information about the headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/certificateTypes' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalCount` | Integer | - | Total number of lists searched | | `certificatetype` | Array | - | Certificate type list: [certificatetype](/docs/en/security-certificatemanager-listcertificatetypes#certificatetype) | #### `certificatetype` The following describes `certificatetype`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Certificate type name | | `pricingPlan` | String | - | Certificate pricing plan - `FREE` \| `PAID` - `FREE`: Free - `PAID`: Paid | | `validationLevel` | String | - | Certificate domain control (DCV) validation level - `Domain Validation CertificateD` \| `Organization Validation Certificate` | | `validity` | Integer | - | Certificate validity period (day) | | `ca` | String | - | Certificate authority (CA) | | `csrRequired` | String | - | Whether CSR is required - `Y` \| `N` - `Y`: Required - `N`: Not required | | `certificateTypeCode` | String | - | Certificate type code - `NCP_PAID_DV_01` \| `NCP_PAID_OV_01` \| `NCP_PAID_OV_01` \| `NCP_FREE_DV_01` - `NCP_GLOBAL_EDGE_DEDICATED`: Advanced DV certificate - `NCP_PAID_OV_01`: Advanced OV certificate - `NCP_FREE_DV_01`: Cloud DB Basic certificate - `NCP_GLOBAL_EDGE_DEDICATED`: Global Edge certificate | ### Response status codes For information about the HTTP status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success", "totalCount": 4, "certificatetype": [ { "name": "Cloud Basic DV", "pricingPlan": "FREE", "validationLevel": "Domain Validation Certificate", "validity": 395, "ca": "NAVER Cloud Trust Services", "csrRequired": "N", "certificateTypeCode": "NCP_FREE_DV_01" }, { "name": "Advanced DV", "pricingPlan": "PAID", "validationLevel": "Domain Validation Certificate", "validity": 365, "ca": "NAVER Cloud Trust Services", "csrRequired": "Y", "certificateTypeCode": "NCP_PAID_DV_01" }, { "name": "Advanced OV", "pricingPlan": "PAID", "validationLevel": "Organization Validation Certificate", "validity": 365, "ca": "NAVER Cloud Trust Services", "csrRequired": "Y", "certificateTypeCode": "NCP_PAID_OV_01" }, { "name": "Global Edge Dedicated DV", "pricingPlan": "PAID", "validationLevel": "Domain Validation Certificate", "validity": 90, "ca": "Let's Encrypt", "csrRequired": "N", "certificateTypeCode": "NCP_GLOBAL_EDGE_DEDICATED" } ] } ```